Planning

Planning

Planningitems ophalen, aanmaken en bijwerken. Scope: planning.read / planning.write. Create vereist task_guid.

Planning ophalen

GET /v1/planning
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Query
Naam Type Beschrijving
page integer
per_page integer
Request body

Geen

Response
data array
id string
title string
start string
end string
all_day boolean
status string
task_id string
meta object
page integer
per_page integer
total integer
pages integer

Examples

GET /v1/planning
curl -X GET "https://api.appficient.nl/v1/planning" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node en response staan rechts naast dit endpoint.

Planningsitem aanmaken

POST /v1/planning
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Request body
task_id string Required
title string
start string
all_day boolean
duration_minutes integer
Example: 60
Response
data object
id string
title string
start string
task_id string
meta object

Examples

POST /v1/planning
curl -X POST "https://api.appficient.nl/v1/planning" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "task_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "title": "string",
    "start": "2026-07-01T12:00:00+00:00",
    "all_day": false,
    "duration_minutes": 60
}'

Curl, Node en response staan rechts naast dit endpoint.

Planningsitem bijwerken

PATCH /v1/planning/{id}
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Naam Type Beschrijving
id Required string
Request body
title string
start string
all_day boolean
duration_minutes integer
Response
data object
id string
title string
start string
end string
all_day boolean
task_id string
meta object

Examples

PATCH /v1/planning/{id}
curl -X PATCH "https://api.appficient.nl/v1/planning/{id}" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "title": "string",
    "start": "2026-07-01T12:00:00+00:00",
    "all_day": false,
    "duration_minutes": 0
}'

Curl, Node en response staan rechts naast dit endpoint.